# #find libpni
# include(FindPkgConfig)
# pkg_search_module(PNIIO_LIB REQUIRED pniio)
# #path of libpni include

# if(NOT PNIIO_LIB_FOUND)
#   message(FATAL_ERROR "cannot find libpniio.")

message(STATUS "looking for PNIIO")
#find libpniio
set(PNIIO_MIN_VERSION "1.2.0")
find_package(PNIIO ${PNIIO_MIN_VERSION} COMPONENTS pniio REQUIRED)

if(NOT PNIIO_FOUND)
  message(FATAL_ERROR "Cannot find libpniio.\nEither the libpnio version is older than ${PNIIO_MIN_VERSION} or libpniio is not installed.")
# else(NOT PNIIO_FOUND)
#   message(STATUS "pniio include path:${PNIIO_INCLUDE_DIRS}")
#   message(STATUS "pniio lib path:${PNIIO_LIBRARY_DIRS}")
#   message(STATUS "pniio libs:${PNIIO_LIBRARIES}")
#   message(STATUS "pniio ld flags:${PNIIO_LDFLAGS}")
#   message(STATUS "pniio C flags:${PNIIO_CFLAGS}")
#   set(PNIIO_LIB_LD_FLAGS "${PNIIO_LD_FLAGS};-lhdf5_hl")
#   #remove semicolon 
#   string (REPLACE ";" " " PNIIO_LIB_INCLUDE_DIRS  "${PNIIO_INCLUDE_DIRS}")
#   string (REPLACE ";" " " PNIIO_LIB_LIBRARY_DIRS  "${PNIIO_LIBRARY_DIRS}")
#   string (REPLACE ";" " " PNIIO_LIB_LIBRARIES  "${PNIIO_LIBRARIES}")
#   string (REPLACE ";" " " PNIIO_LIB_LDFLAGS  "${PNIIO_LDFLAGS}")
#   string (REPLACE ";" " " PNIIO_LIB_CFLAGS  "${PNIIO_CFLAGS}")
endif(NOT PNIIO_FOUND)
